# Keyboard Controller
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

# Ctrl + C to terminate

from roboid import *

albert = AlbertAi()

while True:
    key = Keyboard.read()
    if key:
        if key == Keyboard.UP:
            albert.wheels(30, 30) # move forward
        elif key == Keyboard.DOWN:
            albert.wheels(-30, -30) # move backward
        elif key == Keyboard.LEFT:
            albert.wheels(-30, 30) # turn left
        elif key == Keyboard.RIGHT:
            albert.wheels(30, -30) # turn right
        elif key == " ":
            albert.stop() # stop
    wait(10) # 10 msec
