# Staggering Walk
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

# Ctrl + C to terminate

from roboid import *

albert = AlbertAi()

while True:
    albert.wheels(-100, -100) # move backward
    acc = albert.acceleration_x()
    if acc > 100 or acc < -100:
        albert.wheels(100, 100) # move forward
        wait(250) # 0.25 seconds

        albert.wheels(-50, 50) # turn left
        wait(500) # 0.5 seconds
    wait(10) # 10 msec
