# Mutiple Simple Movement
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

# Ctrl + C to terminate

from roboid import *

alberts = (AlbertAi(0), AlbertAi(1), AlbertAi(2), AlbertAi(3))

# wait until four robots are ready
wait_until_ready()

while True:
    # move forward
    for albert in alberts:
        albert.wheels(50, 50)

    wait(500) # 0.5 seconds

    # move backward
    for albert in alberts:
        albert.wheels(-50, -50)

    wait(500) # 0.5 seconds

    # turn left
    for albert in alberts:
        albert.wheels(-50, 50)

    wait(500) # 0.5 seconds
