# Advanced Hand Detector
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

from roboid import *

albert = AlbertAi()

# user-defined function
def check():
    return albert.left_proximity() > 30

# wait until the value of the left proximity is greater than 30
wait_until(check)

# move backward 5 cm with beep sound
albert.sound("beep")
albert.move_backward()
