# When-Do Hand Detector
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

# Ctrl + C to terminate

from roboid import *

albert = AlbertAi()

# when hand found
def condition():
    return albert.left_proximity() > 40 or albert.right_proximity() > 40

# move backward 5 cm with beep sound
def move():
    albert.sound("beep")
    albert.move_backward()

when_do(condition, move)

wait(-1) # wait forever
