# Parallel
# author: Kwang-Hyun Park (akaii@kw.ac.kr)

from roboid import *

albert = AlbertAi()

# melody
def play_melody():
    for i in range(2):
        albert.note("C4", 0.5)
        albert.note("E4", 0.5)
        albert.note("G4", 0.5)

    for i in range(3):
        albert.note("A4", 0.5)

    albert.note("G4", 1)
    albert.note("off", 0.5)

# blink
def play_blink():
    for i in range(5):
        albert.eyes("red")
        wait(500)
        albert.eyes("off")
        wait(500)

# move
def play_move():
    albert.move_forward()
    albert.move_backward()
    albert.turn_left()
    albert.turn_right()

parallel(play_melody, play_blink, play_move)
